<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>PictureData (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PictureData (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/PictureData.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.TexturePaint.html"
               title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/sl/usermodel/PictureData.PictureType.html"
               title="enum in org.apache.poi.sl.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/sl/usermodel/PictureData.html" target="_top">Frames</a>
        </li>
        <li><a href="PictureData.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.sl.usermodel</div>
    <h2 title="Interface PictureData" class="title">Interface PictureData</h2>
</div>
<div class="contentContainer">
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Known Implementing Classes:</dt>
                    <dd><a href="../../../../../org/apache/poi/hslf/blip/Bitmap.html"
                           title="class in org.apache.poi.hslf.blip">Bitmap</a>, <a
                            href="../../../../../org/apache/poi/hslf/blip/DIB.html"
                            title="class in org.apache.poi.hslf.blip">DIB</a>, <a
                            href="../../../../../org/apache/poi/hslf/blip/EMF.html"
                            title="class in org.apache.poi.hslf.blip">EMF</a>, <a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a>, <a
                            href="../../../../../org/apache/poi/hslf/blip/JPEG.html"
                            title="class in org.apache.poi.hslf.blip">JPEG</a>, <a
                            href="../../../../../org/apache/poi/hslf/blip/Metafile.html"
                            title="class in org.apache.poi.hslf.blip">Metafile</a>, <a
                            href="../../../../../org/apache/poi/hslf/blip/PICT.html"
                            title="class in org.apache.poi.hslf.blip">PICT</a>, <a
                            href="../../../../../org/apache/poi/hslf/blip/PNG.html"
                            title="class in org.apache.poi.hslf.blip">PNG</a>, <a
                            href="../../../../../org/apache/poi/hslf/blip/WMF.html"
                            title="class in org.apache.poi.hslf.blip">WMF</a>, <a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFPictureData.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFPictureData</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public interface <span class="typeNameLabel">PictureData</span></pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Nested Class Summary table, listing nested classes, and an explanation">
                            <caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Interface and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/PictureData.PictureType.html"
                                        title="enum in org.apache.poi.sl.usermodel">PictureData.PictureType</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/PictureData.html#getChecksum--">getChecksum</a></span>()</code>
                                    <div class="block">Gets the checksum - the checksum can be of various length -
                                        mostly it's 8 (XSLF) or 16 (HSLF) bytes long.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/PictureData.html#getContentType--">getContentType</a></span>()</code>
                                    <div class="block">Returns content type (mime type) of this picture.</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/PictureData.html#getData--">getData</a></span>()</code>
                                    <div class="block">Returns the binary data of this Picture</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>java.awt.Dimension</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/PictureData.html#getImageDimension--">getImageDimension</a></span>()</code>
                                    <div class="block">Return the original image dimensions in points
                                        (for formats supported by BufferedImage).
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>java.awt.Dimension</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/PictureData.html#getImageDimensionInPixels--">getImageDimensionInPixels</a></span>()</code>
                                    <div class="block">Return the original image dimensions in pixels</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/PictureData.PictureType.html"
                                        title="enum in org.apache.poi.sl.usermodel">PictureData.PictureType</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/PictureData.html#getType--">getType</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/PictureData.html#setData-byte:A-">setData</a></span>(byte[]&nbsp;data)</code>
                                    <div class="block">Sets the binary picture data</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getContentType--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getContentType</h4>
                                <pre>java.lang.String&nbsp;getContentType()</pre>
                                <div class="block">Returns content type (mime type) of this picture.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>content type of this picture.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getType--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getType</h4>
                                <pre><a href="../../../../../org/apache/poi/sl/usermodel/PictureData.PictureType.html"
                                        title="enum in org.apache.poi.sl.usermodel">PictureData.PictureType</a>&nbsp;getType()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the picture type</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getData--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getData</h4>
                                <pre>byte[]&nbsp;getData()</pre>
                                <div class="block">Returns the binary data of this Picture</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>picture data</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setData-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setData</h4>
                                <pre>void&nbsp;setData(byte[]&nbsp;data)
      throws java.io.IOException</pre>
                                <div class="block">Sets the binary picture data</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>data</code> - picture data</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getChecksum--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getChecksum</h4>
                                <pre>byte[]&nbsp;getChecksum()</pre>
                                <div class="block">Gets the checksum - the checksum can be of various length -
                                    mostly it's 8 (XSLF) or 16 (HSLF) bytes long.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the checksum</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getImageDimension--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getImageDimension</h4>
                                <pre>java.awt.Dimension&nbsp;getImageDimension()</pre>
                                <div class="block">Return the original image dimensions in points
                                    (for formats supported by BufferedImage).

                                    Will return a Dimension with a default width of 200x200 if the format unsupported.
                                </div>
                            </li>
                        </ul>
                        <a name="getImageDimensionInPixels--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getImageDimensionInPixels</h4>
                                <pre>java.awt.Dimension&nbsp;getImageDimensionInPixels()</pre>
                                <div class="block">Return the original image dimensions in pixels</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/sl/usermodel/PictureData.html#getImageDimension--"><code>getImageDimension()</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/PictureData.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.TexturePaint.html"
               title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/sl/usermodel/PictureData.PictureType.html"
               title="enum in org.apache.poi.sl.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/sl/usermodel/PictureData.html" target="_top">Frames</a>
        </li>
        <li><a href="PictureData.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
